aboutsummaryrefslogtreecommitdiffstats
path: root/community/openipmi/APKBUILD
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-06-08 05:12:35 -0300
committerNatanael Copa <ncopa@alpinelinux.org>2019-06-28 14:55:52 +0000
commitb455d78d976ba45e11362b50e8f6f9d2c7678f7a (patch)
treec3d8eddc5db02ac8f9a78e3c0ee2fc87c5e3c3a8 /community/openipmi/APKBUILD
parent5ddfe69a8b5c2c8426c832323b07da915c3963dc (diff)
downloadaports-b455d78d976ba45e11362b50e8f6f9d2c7678f7a.tar.gz
aports-b455d78d976ba45e11362b50e8f6f9d2c7678f7a.tar.bz2
aports-b455d78d976ba45e11362b50e8f6f9d2c7678f7a.tar.xz
community/openipmi: move from main
Diffstat (limited to 'community/openipmi/APKBUILD')
-rw-r--r--community/openipmi/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/community/openipmi/APKBUILD b/community/openipmi/APKBUILD
new file mode 100644
index 0000000000..6db614d3b9
--- /dev/null
+++ b/community/openipmi/APKBUILD
@@ -0,0 +1,49 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=openipmi
+pkgver=2.0.25
+pkgrel=1
+pkgdesc="IPMI (Intelligent Platform Management Interface) library and tools"
+url="https://sourceforge.net/projects/openipmi/"
+arch="all"
+license="LGPL-2.0-or-later and GPL-2.0-or-later or BSD"
+makedepends="$depends_dev popt-dev glib-dev net-snmp-dev ncurses-dev
+ openssl-dev linux-headers"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lanserv $pkgname-libs"
+source="https://downloads.sourceforge.net/openipmi/OpenIPMI-$pkgver.tar.gz
+ "
+builddir="$srcdir"/OpenIPMI-$pkgver
+build() {
+ cd "$builddir"
+ update_config_sub
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-static \
+ --with-ucdsnmp
+ make
+}
+
+package() {
+ cd "$builddir"
+ make -j1 DESTDIR="$pkgdir" install
+}
+
+lanserv() {
+ pkgdesc="Emulates an IPMI network listener"
+ mkdir -p "$subpkgdir"/usr/bin "$subpkgdir"/usr/lib
+ mv "$pkgdir"/etc "$subpkgdir"/ || return 1
+ mv "$pkgdir"/usr/lib/libIPMIlanserv.so.* "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/bin/ipmilan \
+ "$pkgdir"/usr/bin/ipmi_sim \
+ "$pkgdir"/usr/bin/sdrcomp \
+ "$subpkgdir"/usr/bin/
+}
+
+
+
+sha512sums="5d89deb5d0d0ff44d6f62a9759577dba92aa58c208477e317aecbd01e71ccf7ba0dab138a1d8feff22d523c85d6ceaee9e478e26834ffcd91949b81d2d9c1f86 OpenIPMI-2.0.25.tar.gz"